Bug 495807 - Monodevelop some bugs?
Monodevelop some bugs?
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 17:25 EDT by MERCIER Jonathan
Modified: 2009-08-05 03:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-05 03:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2009-04-14 17:25:29 EDT
with monodevelop i have alot of error:
________________________________________________________________________________________________
$ monodevelop
WARNING: Cannot find Mozilla directory containing libgtkembedmoz.so. Some Addins may not be able to function. Please set MOZILLA_FIVE_HOME to your Mozilla directory.
ATTENTION [2009-04-11 16:10:07Z]: Inotify watch limit is too low (8192).
MonoDevelop will switch to managed file watching.
See http://www.monodevelop.com/Inotify_Watches_Limit for more info.
ERREUR FATALE [2009-04-11 16:10:07Z]: A platform service implementation has not been found.
System.FormatException: Unknown char: .
at System.Double.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00000]
at System.Single.Parse (System.String s, IFormatProvider provider) [0x00000]
at System.Convert.ToSingle (System.String value, IFormatProvider provider) [0x00000]
at System.String.System.IConvertible.ToSingle (IFormatProvider provider) [0x00000]
at System.Convert.ToType (System.Object value, System.Type conversionType, IFormatProvider provider) [0x00000]
at System.Convert.ChangeType (System.Object value, System.Type conversionType) [0x00000]
at Stetic.PropertyDescriptor.StringToValue (System.String value) [0x00000]
at Stetic.PropertyDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedPropertyDescriptor..ctor (System.Xml.XmlElement elem, Stetic.ItemGroup group, Stetic.TypedClassDescriptor klass) [0x00000]
at Stetic.TypedClassDescriptor.CreateItemDescriptor (System.Xml.XmlElement elem, Stetic.ItemGroup group) [0x00000]
at Stetic.ItemGroup..ctor (System.Xml.XmlElement elem, Stetic.ClassDescriptor klass) [0x00000]
at Stetic.ClassDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedClassDescriptor..ctor (System.Reflection.Assembly assembly, System.Xml.XmlElement elem) [0x00000]
at Stetic.AssemblyWidgetLibrary.LoadClassDescriptor (System.Xml.XmlElement element) [0x00000]
at Stetic.WidgetLibrary.Load (System.Xml.XmlDocument objects) [0x00000]
at Stetic.AssemblyWidgetLibrary.Load () [0x00000]
at Stetic.Registry.RegisterWidgetLibrary (Stetic.WidgetLibrary library) [0x00000]
System.FormatException: Unknown char: .
at System.Double.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00000]
at System.Single.Parse (System.String s, IFormatProvider provider) [0x00000]
at System.Convert.ToSingle (System.String value, IFormatProvider provider) [0x00000]
at System.String.System.IConvertible.ToSingle (IFormatProvider provider) [0x00000]
at System.Convert.ToType (System.Object value, System.Type conversionType, IFormatProvider provider) [0x00000]
at System.Convert.ChangeType (System.Object value, System.Type conversionType) [0x00000]
at Stetic.PropertyDescriptor.StringToValue (System.String value) [0x00000]
at Stetic.PropertyDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedPropertyDescriptor..ctor (System.Xml.XmlElement elem, Stetic.ItemGroup group, Stetic.TypedClassDescriptor klass) [0x00000]
at Stetic.TypedClassDescriptor.CreateItemDescriptor (System.Xml.XmlElement elem, Stetic.ItemGroup group) [0x00000]
at Stetic.ItemGroup..ctor (System.Xml.XmlElement elem, Stetic.ClassDescriptor klass) [0x00000]
at Stetic.ClassDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedClassDescriptor..ctor (System.Reflection.Assembly assembly, System.Xml.XmlElement elem) [0x00000]
at Stetic.AssemblyWidgetLibrary.LoadClassDescriptor (System.Xml.XmlElement element) [0x00000]
at Stetic.WidgetLibrary.Load (System.Xml.XmlDocument objects) [0x00000]
at Stetic.AssemblyWidgetLibrary.Load () [0x00000]
at Stetic.Registry.RegisterWidgetLibrary (Stetic.WidgetLibrary library) [0x00000]
System.FormatException: Unknown char: .
at System.Double.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00000]
at System.Single.Parse (System.String s, IFormatProvider provider) [0x00000]
at System.Convert.ToSingle (System.String value, IFormatProvider provider) [0x00000]
at System.String.System.IConvertible.ToSingle (IFormatProvider provider) [0x00000]
at System.Convert.ToType (System.Object value, System.Type conversionType, IFormatProvider provider) [0x00000]
at System.Convert.ChangeType (System.Object value, System.Type conversionType) [0x00000]
at Stetic.PropertyDescriptor.StringToValue (System.String value) [0x00000]
at Stetic.PropertyDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedPropertyDescriptor..ctor (System.Xml.XmlElement elem, Stetic.ItemGroup group, Stetic.TypedClassDescriptor klass) [0x00000]
at Stetic.TypedClassDescriptor.CreateItemDescriptor (System.Xml.XmlElement elem, Stetic.ItemGroup group) [0x00000]
at Stetic.ItemGroup..ctor (System.Xml.XmlElement elem, Stetic.ClassDescriptor klass) [0x00000]
at Stetic.ClassDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedClassDescriptor..ctor (System.Reflection.Assembly assembly, System.Xml.XmlElement elem) [0x00000]
at Stetic.AssemblyWidgetLibrary.LoadClassDescriptor (System.Xml.XmlElement element) [0x00000]
at Stetic.WidgetLibrary.Load (System.Xml.XmlDocument objects) [0x00000]
at Stetic.AssemblyWidgetLibrary.Load () [0x00000]
at Stetic.Registry.RegisterWidgetLibrary (Stetic.WidgetLibrary library) [0x00000]
Marshaling delete_event signal
ERREUR [2009-04-11 16:14:43Z]: Unhandled exception in GLib event handler.
System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> System.FormatException: Unknown char: .
at System.Double.Parse (System.String s, NumberStyles style, IFormatProvider provider) [0x00000]
at System.Single.Parse (System.String s, IFormatProvider provider) [0x00000]
at System.Convert.ToSingle (System.String value, IFormatProvider provider) [0x00000]
at System.String.System.IConvertible.ToSingle (IFormatProvider provider) [0x00000]
at System.Convert.ToType (System.Object value, System.Type conversionType, IFormatProvider provider) [0x00000]
at System.Convert.ChangeType (System.Object value, System.Type conversionType) [0x00000]
at Stetic.PropertyDescriptor.StringToValue (System.String value) [0x00000]
at Stetic.PropertyDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedPropertyDescriptor..ctor (System.Xml.XmlElement elem, Stetic.ItemGroup group, Stetic.TypedClassDescriptor klass) [0x00000]
at Stetic.TypedClassDescriptor.CreateItemDescriptor (System.Xml.XmlElement elem, Stetic.ItemGroup group) [0x00000]
at Stetic.ItemGroup..ctor (System.Xml.XmlElement elem, Stetic.ClassDescriptor klass) [0x00000]
at Stetic.ClassDescriptor.Load (System.Xml.XmlElement elem) [0x00000]
at Stetic.TypedClassDescriptor..ctor (System.Reflection.Assembly assembly, System.Xml.XmlElement elem) [0x00000]
at Stetic.AssemblyWidgetLibrary.LoadClassDescriptor (System.Xml.XmlElement element) [0x00000]
at Stetic.WidgetLibrary.Load (System.Xml.XmlDocument objects) [0x00000]
at Stetic.AssemblyWidgetLibrary.Load () [0x00000]
at Stetic.Registry.RegisterWidgetLibrary (Stetic.WidgetLibrary library) [0x00000]
--- End of inner exception stack trace ---
at System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
at System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) [0x00000]
at System.Delegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
at System.MulticastDelegate.DynamicInvokeImpl (System.Object[] args) [0x00000]
at System.Delegate.DynamicInvoke (System.Object[] args) [0x00000]
at GLib.Signal.ClosureInvokedCB (System.Object o, GLib.ClosureInvokedArgs args) [0x00000]
at GLib.SignalClosure.Invoke (GLib.ClosureInvokedArgs args) [0x00000]
at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000]
ERREUR [2009-04-11 16:14:58Z]: Unhandled exception in GLib event handler.
System.InvalidOperationException: List has changed.
at System.Collections.ArrayList+SimpleEnumerator.MoveNext () [0x00000]
at MonoDevelop.Components.DockToolbars.FixedPanel.ForAll (Boolean include_internals, Gtk.Callback callback) [0x00000]
at Gtk.Container.Forall_cb (IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data) [0x00000]
ATTENTION [2009-04-11 16:14:58Z]: Gtk-Warning: GtkContainerClass::remove not implemented for `__gtksharp_23_MonoDevelop_Components_Docking_DockContainer'
Stack trace:
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget w)
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget )
at MonoDevelop.Components.Docking.DockContainer.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Container.gtksharp_container_base_forall(IntPtr , Boolean , IntPtr , IntPtr )
at Gtk.Container.ForAll(Boolean include_internals, Gtk.Callback callback)
at MonoDevelop.Components.Docking.DockFrame.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Application.gtk_main()
at Gtk.Application.Run()
at MonoDevelop.Ide.Gui.IdeApp.Run()
at MonoDevelop.Ide.Gui.IdeStartup.Run(System.String[] args)
at MonoDevelop.Startup.SharpDevelopMain.Main(System.String[] args)
ATTENTION [2009-04-11 16:14:58Z]: Gtk-Warning: GtkContainerClass::remove not implemented for `__gtksharp_23_MonoDevelop_Components_Docking_DockContainer'
Stack trace:
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget w)
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget )
at MonoDevelop.Components.Docking.DockContainer.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Container.gtksharp_container_base_forall(IntPtr , Boolean , IntPtr , IntPtr )
at Gtk.Container.ForAll(Boolean include_internals, Gtk.Callback callback)
at MonoDevelop.Components.Docking.DockFrame.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Application.gtk_main()
at Gtk.Application.Run()
at MonoDevelop.Ide.Gui.IdeApp.Run()
at MonoDevelop.Ide.Gui.IdeStartup.Run(System.String[] args)
at MonoDevelop.Startup.SharpDevelopMain.Main(System.String[] args)
ATTENTION [2009-04-11 16:14:58Z]: Gtk-Warning: GtkContainerClass::remove not implemented for `__gtksharp_23_MonoDevelop_Components_Docking_DockContainer'
Stack trace:
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget w)
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget )
at MonoDevelop.Components.Docking.DockContainer.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Container.gtksharp_container_base_forall(IntPtr , Boolean , IntPtr , IntPtr )
at Gtk.Container.ForAll(Boolean include_internals, Gtk.Callback callback)
at MonoDevelop.Components.Docking.DockFrame.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Application.gtk_main()
at Gtk.Application.Run()
at MonoDevelop.Ide.Gui.IdeApp.Run()
at MonoDevelop.Ide.Gui.IdeStartup.Run(System.String[] args)
at MonoDevelop.Startup.SharpDevelopMain.Main(System.String[] args)
ATTENTION [2009-04-11 16:14:58Z]: Gtk-Warning: GtkContainerClass::remove not implemented for `__gtksharp_23_MonoDevelop_Components_Docking_DockContainer'
Stack trace:
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget w)
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget )
at MonoDevelop.Components.Docking.DockContainer.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Container.gtksharp_container_base_forall(IntPtr , Boolean , IntPtr , IntPtr )
at Gtk.Container.ForAll(Boolean include_internals, Gtk.Callback callback)
at MonoDevelop.Components.Docking.DockFrame.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Application.gtk_main()
at Gtk.Application.Run()
at MonoDevelop.Ide.Gui.IdeApp.Run()
at MonoDevelop.Ide.Gui.IdeStartup.Run(System.String[] args)
at MonoDevelop.Startup.SharpDevelopMain.Main(System.String[] args)
ATTENTION [2009-04-11 16:14:58Z]: Gtk-Warning: GtkContainerClass::remove not implemented for `__gtksharp_23_MonoDevelop_Components_Docking_DockContainer
Stack trace:
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget w)
at Gtk.Container+CallbackInvoker.Invoke(Gtk.Widget )
at MonoDevelop.Components.Docking.DockContainer.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Container.gtksharp_container_base_forall(IntPtr , Boolean , IntPtr , IntPtr )
at Gtk.Container.ForAll(Boolean include_internals, Gtk.Callback callback)
at MonoDevelop.Components.Docking.DockFrame.ForAll(Boolean include_internals, Gtk.Callback callback)
at Gtk.Container.Forall_cb(IntPtr container, Boolean include_internals, IntPtr cb, IntPtr data)
at Gtk.Application.gtk_main()
at Gtk.Application.Run()
at MonoDevelop.Ide.Gui.IdeApp.Run()
at MonoDevelop.Ide.Gui.IdeStartup.Run(System.String[] args)
at MonoDevelop.Startup.SharpDevelopMain.Main(System.String[] args)
________________________________________________________________________________________________

$ rpm -qa | grep sharp
gtk-sharp-gapi-devel-1.0.10-20.fc10.x86_64
notify-sharp-0.4.0-0.5.20080912svn.fc10.x86_64
taglib-sharp-2.0.3.0-7.fc10.x86_64
gnome-sharp-2.24.0-1.fc10.x86_64
avahi-sharp-0.6.22-12.fc10.x86_64
dbus-sharp-0.63-10.fc10.x86_64
gtk-sharp-gapi-1.0.10-20.fc10.x86_64
ice-csharp-3.3.0-8.fc10.x86_64
notify-sharp-doc-0.4.0-0.5.20080912svn.fc10.x86_64
gtk-sharp2-2.12.7-1.fc10.1.x86_64
mono-sharpcvslib-devel-0.35-3.fc10.x86_64
mono-sharpcvslib-0.35-3.fc10.x86_64
gtk-sharp2-gapi-2.12.7-1.fc10.1.x86_64
gtksourceview-sharp-2.0.12-6.fc10.x86_64
gnome-desktop-sharp-devel-2.24.0-3.fc10.x86_64
ice-csharp-devel-3.3.0-8.fc10.x86_64
dbus-sharp-devel-0.63-10.fc10.x86_64
gtk-sharp-1.0.10-20.fc10.x86_64
avahi-ui-sharp-0.6.22-12.fc10.x86_64
gnome-sharp-devel-2.24.0-1.fc10.x86_64
gnome-desktop-sharp-2.24.0-3.fc10.x86_64
gtk-sharp2-doc-2.12.7-1.fc10.1.x86_64
gtksourceview-sharp-devel-2.0.12-6.fc10.x86_64
________________________________________________________________________________________________

yum whatprovides */libgtkembedmoz.so

Modules complémentaires chargés : fastestmirror, priorities, refresh-packagekit, refresh-updatesd
seamonkey-1.1.13-1.fc10.x86_64 : Web browser, e-mail, news, IRC client, HTML editor Repo : fedora Correspondance depuis : Filename : /usr/lib64/seamonkey-1.1.13/libgtkembedmoz.so

sunbird-0.9-3.fc10.x86_64 : Mozilla Sunbird Calendar Repo : fedora Correspondance depuis : Filename : /usr/lib64/sunbird-0.9/libgtkembedmoz.so

esc-1.0.1-11.fc10.x86_64 : Enterprise Security Client Smart Card Client Repo : fedora Correspondance depuis : Filename : /usr/lib64/esc-1.0.1/xulrunner/libgtkembedmoz.so

thunderbird-2.0.0.17-1.fc10.x86_64 : Mozilla Thunderbird mail/newsgroup client Repo : fedora Correspondance depuis : Filename : /usr/lib64/thunderbird-2.0.0.17/libgtkembedmoz.so

seamonkey-1.1.15-3.fc10.x86_64 : Web browser, e-mail, news, IRC client, HTML editor Repo : updates Correspondance depuis : Filename : /usr/lib64/seamonkey-1.1.15/libgtkembedmoz.so

thunderbird-2.0.0.21-1.fc10.x86_64 : Mozilla Thunderbird mail/newsgroup client Repo : updates Correspondance depuis : Filename : /usr/lib64/thunderbird-2.0.0.21/libgtkembedmoz.so
Comment 1 Paul F. Johnson 2009-04-16 11:28:14 EDT
You can completely ignore the libgtkembedmoz problems - they don't make any difference (I've looked into this quite a few times).

Which mono packages have you got installed?
Comment 2 MERCIER Jonathan 2009-04-16 14:02:25 EDT
_________________________________
$ which mono
/usr/bin/mono
_________________________________
$ mono --version
Mono JIT compiler version 2.0.1 (tarball)
Copyright (C) 2002-2008 Novell, Inc and Contributors. www.mono-project.com
	TLS:           __thread
	GC:            Included Boehm (with typed GC)
	SIGSEGV:       altstack
	Notifications: epoll
	Architecture:  amd64
	Disabled:      none
_________________________________
Comment 3 MERCIER Jonathan 2009-04-16 14:03:23 EDT
installed with yum
# yum install mono

Note You need to log in before you can comment on or make changes to this bug.